#!/usr/bin/env perl
# Simple Example script for the Mac::iPod::GNUpod 
# toolset. Michael Ablassmeier <abi@grinser.de>
#
use strict;
use Mac::iPod::GNUpod;

die "Needs Mountpoint" if !@ARGV[0];
die "Need Artist" if !@ARGV[1];

my $ipod = Mac::iPod::GNUpod->new(mountpoint => @ARGV[0]);

# read itunes Database:
$ipod->read_itunes;

my @res = $ipod->search(artist => @ARGV[1]);

if ( @res > 0 ) {
        print "Results:\n";
        print "--------\n";

        # get track info 
        foreach my $id (@res) {
                 my $song_info = $ipod->get_song($id);
                 printf("%s - %20s\n", $song_info->{artist}, $song_info->{title});
        }
} else {
        print "No Results found";
}
